java.awt.image

## Interface TileObserver

-     public interface TileObserver

  An interface for objects that wish to be informed when tiles of a WritableRenderedImage become modifiable by some writer via a call to getWritableTile, and when they become unmodifiable via the last call to releaseWritableTile.
  See Also:
    `WritableRenderedImage`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `tileUpdate(WritableRenderedImage source, int tileX, int tileY, boolean willBeWritable)` A tile is about to be updated (it is either about to be grabbed for writing, or it is being released from writing).

- - ### Method Detail

    - #### tileUpdate

          void tileUpdate(WritableRenderedImage source,
                        int tileX,
                        int tileY,
                        boolean willBeWritable)

      A tile is about to be updated (it is either about to be grabbed for writing, or it is being released from writing).
      Parameters:
        `source` - the image that owns the tile.
        `tileX` - the X index of the tile that is being updated.
        `tileY` - the Y index of the tile that is being updated.
        `willBeWritable` - If true, the tile will be grabbed for writing; otherwise it is being released.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.